<?php

namespace Saswp\DTOs\Response;

class PropertyDescriptionDTO
{

    public readonly int $id;
    public readonly int $property_id;
    public readonly string $description;

    public function __construct(array $_data)
    {
        $this->id  = isset($_data['id']) ?$_data['id']:0;
        $this->property_id  = isset($_data['property_id']) ?$_data['property_id']:0;
        $this->description  = isset($_data['description']) ?$_data['description']:'';
        
    }

    public function toArray(): array
    {
        return (array)$this;
    }
}
